List for courier org

Lists line item groups for the authenticated courier organization with filtering and pagination. | org_type=[courier], min_org_role=operator | () -> (LineItemGroupListRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

filter_driver_idstring or nullOptional

Filter by driver ID (payment_destination_driver_id)

filter_statuslist of enums or nullOptional

Filter by line item group status(es)

filter_attached_to_statementboolean or nullOptional
Filter by whether line item group is attached to a statement
filter_payment_roleenum or nullOptional

Filter by payment role: origin (courier pays) or destination (courier receives). Returns both if not specified.

Allowed values:
pageintegerOptional>=1Defaults to 1
page_sizeintegerOptional1-100Defaults to 20

Response

Successful Response
line_item_groupslist of objects
total_countinteger

Errors